# Don't create a debuginfo package since it would be empty
%define debug_package %{nil}

Name:    ipod-sharp
Version: 0.8.5
Release: 5%{?dist}
Summary: Support for high level features of Apple's iPod

Group:   Development/Libraries
License: LGPLv2+
URL:     http://banshee-project.org/
Source0: http://download.banshee-project.org/ipod-sharp/%{version}/%{name}-%{version}.tar.bz2
Patch0:  ipod-sharp-0.8.0-libdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x

BuildRequires: podsleuth-devel
BuildRequires: mono-devel
BuildRequires: gtk-sharp2-devel
BuildRequires: ndesk-dbus-glib-devel
BuildRequires: monodoc-devel

%description
ipod-sharp provides support for high level features of Apple's iPod,
like support for audio content, including reading and writing of the
iTunes/iPod database, and syncing music.

%package devel
Summary: Development files for ipod-sharp
Group: Development/Libraries
Requires: %{name} = %{version}-%{release} 
Requires: pkgconfig
Requires: monodoc

%description devel
Development files for ipod-sharp

%prep
%setup -q
%patch0 -p1 -b .libdir

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
# Breaks with smp make flag
make

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=${RPM_BUILD_ROOT} \
             GACUTIL_FLAGS="/package %{name} /gacdir %{_libdir} /root ${RPM_BUILD_ROOT}%{_libdir}"

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/ipod-sharp/

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*
%{_libdir}/monodoc/sources/*

%changelog
* Fri Apr 29 2011 Dan Horák <dan[at]danny.cz> - 0.8.5-5
- updated the supported arch list

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Oct 24 2010 Christian Krause <chkr@fedoraproject.org> - 0.8.5-3
- Rebuilt for Mono 2.8

* Tue Jun 01 2010 Christian Krause <chkr@fedoraproject.org> - 0.8.5-2
- Fix typo in %%description (BZ 597628)

* Mon Nov 23 2009 Michel Salim <salimma@fedoraproject.org> - 0.8.5-1
- Update to 0.8.5

* Fri Nov 13 2009 Christian Krause <chkr@fedoraproject.org> - 0.8.4-1
- Update to new upstream version 0.8.4
- Enable API documentation (can be accessed via monodoc)

* Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 0.8.2-2
- ExcludeArch sparc64

* Fri Sep 18 2009 Christian Krause <chkr@fedoraproject.org> - 0.8.2-1
- Update to new upstream version 0.8.2
- Remove unneeded libipoddevice BR
- Don't create debuginfo package since it would be empty

* Thu Aug 20 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.8.1-5
- Rebuild to pick up ppc64 builds

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 14 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 0.8.1-3
- Don't claim ownership of %%_libdir/pkgconfig/ (#499658)

* Mon May 25 2009 xavier Lamien <laxathom@fedoraproject.org> - 0.8.1-3
- Build arch ppc64.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep 12 2008 David Nielsen <gnomeuser@gmail.com> - 0.8.1-1
- bump to 0.8.1

* Tue May 27 2008 Nigel Jones <dev@nigelj.com> 0.8.0-5
- Rebuild for new gtk-sharp2

* Wed Feb 20 2008 David Nielsen <david@lovesunix.net> 0.8.0-4
- and let's correct that BR on ndesk-dbus-glib

* Wed Feb 20 2008 David Nielsen <david@lovesunix.net> 0.8.0-3
- Add libipoddevice and ndesk-dbus to build dependencies
- Update libdir patch
- make singlethreaded to avoid build error
- split out development files

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.0-2
- Autorebuild for GCC 4.3

* Sun Feb 10 2008 Christopher Aillon <caillon@redhat.com> 0.8.0-1
- Update to 0.8.0

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 0.6.3-3
- Rebuild for build ID

* Mon Aug 13 2007 Christopher Aillon <caillon@redhat.com> 0.6.3-2
- Update the license tag

* Tue Apr  3 2007 Christopher Aillon <caillon@redhat.com> 0.6.3-1
- Update to 0.6.3

* Thu Dec 14 2006 Christopher Aillon <caillon@redhat.com> 0.6.2-2
- Update monodir patch

* Tue Dec 12 2006 Christopher Aillon <caillon@redhat.com> 0.6.2-1
- Update to 0.6.2

* Mon Aug 28 2006 Christopher Aillon <caillon@redhat.com> 0.5.15-3
- Rebuild against newer mono stack

* Fri Mar  3 2006 Christopher Aillon <caillon@redhat.com> 0.5.15-2
- Build on 64bit platforms

* Tue Feb 21 2006 Christopher Aillon <caillon@redhat.com> 0.5.15-1
- Initial RPM
